/* #undef STARPURM_DLB_VERBOSE */
/* #undef STARPURM_HAVE_DLB */
/* #undef STARPURM_HAVE_DLB_CALLBACK_ARG */
/* #undef STARPURM_STARPU_HAVE_WORKER_CALLBACKS */
/* #undef STARPURM_VERBOSE */
/* #undef STARPU_ARMPL */
/* #undef STARPU_ATLAS */
/* #undef STARPU_BUBBLE */
/* #undef STARPU_BUBBLE_VERBOSE */
#define STARPU_BUILD_DIR "/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_devel_starpu/starpu/work/starpu-1.4.7"
/* #undef STARPU_BUILT_IN_MIN_DGELS */
/* #undef STARPU_COVERITY */
/* #undef STARPU_DATA_LOCALITY_ENFORCE */
/* #undef STARPU_DEBUG */
/* #undef STARPU_DEVEL */
/* #undef STARPU_DISABLE_ASYNCHRONOUS_COPY */
/* #undef STARPU_DISABLE_ASYNCHRONOUS_CUDA_COPY */
/* #undef STARPU_DISABLE_ASYNCHRONOUS_MAX_FPGA_COPY */
/* #undef STARPU_DISABLE_ASYNCHRONOUS_MPI_MS_COPY */
/* #undef STARPU_DISABLE_ASYNCHRONOUS_OPENCL_COPY */
/* #undef STARPU_DISABLE_ASYNCHRONOUS_TCPIP_MS_COPY */
/* #undef STARPU_EXTRA_VERBOSE */
/* #undef STARPU_FXT_LOCK_TRACES */
#define STARPU_FXT_MAX_FILES 64
/* #undef STARPU_GDB_PATH */
/* #undef STARPU_GOTO */
#define STARPU_HAVE_ATOMIC_COMPARE_EXCHANGE_N 1
#define STARPU_HAVE_ATOMIC_COMPARE_EXCHANGE_N_8 1
#define STARPU_HAVE_ATOMIC_EXCHANGE_N 1
#define STARPU_HAVE_ATOMIC_EXCHANGE_N_8 1
#define STARPU_HAVE_ATOMIC_FETCH_ADD 1
#define STARPU_HAVE_ATOMIC_FETCH_ADD_8 1
#define STARPU_HAVE_ATOMIC_FETCH_OR 1
#define STARPU_HAVE_ATOMIC_FETCH_OR_8 1
#define STARPU_HAVE_ATOMIC_TEST_AND_SET 1
#define STARPU_HAVE_BLAS 1
/* #undef STARPU_HAVE_BUSID */
/* #undef STARPU_HAVE_CBLAS_H */
/* #undef STARPU_HAVE_CUDA_CANMAPHOST */
/* #undef STARPU_HAVE_CUDA_MEMCPY_PEER */
/* #undef STARPU_HAVE_CUDA_MNGMEM */
/* #undef STARPU_HAVE_CUDA_PAGEABLEMEM */
/* #undef STARPU_HAVE_CUDA_POINTER_TYPE */
/* #undef STARPU_HAVE_CUDA_UNIFIEDADDR */
/* #undef STARPU_HAVE_CUFFTDOUBLECOMPLEX */
/* #undef STARPU_HAVE_CURAND */
#define STARPU_HAVE_CXX11 1
#define STARPU_HAVE_DARWIN 1
/* #undef STARPU_HAVE_DOMAINID */
/* #undef STARPU_HAVE_F77_H */
#define STARPU_HAVE_FC 1
#define STARPU_HAVE_FFTW 1
/* #undef STARPU_HAVE_FFTWF */
/* #undef STARPU_HAVE_FFTWL */
/* #undef STARPU_HAVE_GLPK_H */
/* #undef STARPU_HAVE_HDF5 */
/* #undef STARPU_HAVE_HELGRIND_H */
/* #undef STARPU_HAVE_HIP_MEMCPY_PEER */
#define STARPU_HAVE_HWLOC 1
/* #undef STARPU_HAVE_ICC */
/* #undef STARPU_HAVE_LEVELDB */
/* #undef STARPU_HAVE_LIBCUSOLVER */
/* #undef STARPU_HAVE_LIBCUSPARSE */
/* #undef STARPU_HAVE_LIBNUMA */
/* #undef STARPU_HAVE_MAGMA */
/* #undef STARPU_HAVE_MALLOC_H */
/* #undef STARPU_HAVE_MEMALIGN */
/* #undef STARPU_HAVE_MEMCHECK_H */
/* #undef STARPU_HAVE_MPI_COMM_CREATE_GROUP */
/* #undef STARPU_HAVE_MPI_EXT */
/* #undef STARPU_HAVE_MPI_SYNC_CLOCKS */
/* #undef STARPU_HAVE_MSG_MSG_H */
#define STARPU_HAVE_NEARBYINTF 1
/* #undef STARPU_HAVE_NVML_H */
#define STARPU_HAVE_POSIX_MEMALIGN 1
/* #undef STARPU_HAVE_POTI */
/* #undef STARPU_HAVE_PROGRAM_INVOCATION_SHORT_NAME */
/* #undef STARPU_HAVE_PTHREAD_BARRIER */
#define STARPU_HAVE_PTHREAD_SETNAME_NP 1
/* #undef STARPU_HAVE_PTHREAD_SPIN_LOCK */
#define STARPU_HAVE_RINTF 1
/* #undef STARPU_HAVE_S4U_ON_TIME_ADVANCE_CB */
#define STARPU_HAVE_SCHED_YIELD 1
#define STARPU_HAVE_SETENV 1
/* #undef STARPU_HAVE_SIMGRID_ACTOR_H */
/* #undef STARPU_HAVE_SIMGRID_BARRIER_H */
/* #undef STARPU_HAVE_SIMGRID_COND_H */
/* #undef STARPU_HAVE_SIMGRID_ENGINE_H */
/* #undef STARPU_HAVE_SIMGRID_HOST_H */
/* #undef STARPU_HAVE_SIMGRID_LINK_H */
/* #undef STARPU_HAVE_SIMGRID_MSG_H */
/* #undef STARPU_HAVE_SIMGRID_MUTEX_H */
/* #undef STARPU_HAVE_SIMGRID_SEMAPHORE_H */
/* #undef STARPU_HAVE_SIMGRID_SIMDAG_H */
/* #undef STARPU_HAVE_SIMGRID_VERSION_H */
/* #undef STARPU_HAVE_SIMGRID_ZONE_H */
/* #undef STARPU_HAVE_SMX_ACTOR_T */
#define STARPU_HAVE_STATEMENT_EXPRESSIONS 1
#define STARPU_HAVE_STRERROR_R 1
#define STARPU_HAVE_STRUCT_TIMESPEC 1
#define STARPU_HAVE_SYNC_BOOL_COMPARE_AND_SWAP 1
#define STARPU_HAVE_SYNC_BOOL_COMPARE_AND_SWAP_8 1
#define STARPU_HAVE_SYNC_FETCH_AND_ADD 1
#define STARPU_HAVE_SYNC_FETCH_AND_ADD_8 1
#define STARPU_HAVE_SYNC_FETCH_AND_OR 1
#define STARPU_HAVE_SYNC_FETCH_AND_OR_8 1
#define STARPU_HAVE_SYNC_LOCK_TEST_AND_SET 1
#define STARPU_HAVE_SYNC_SYNCHRONIZE 1
#define STARPU_HAVE_SYNC_VAL_COMPARE_AND_SWAP 1
#define STARPU_HAVE_SYNC_VAL_COMPARE_AND_SWAP_8 1
#define STARPU_HAVE_UNISTD_H 1
#define STARPU_HAVE_UNSETENV 1
/* #undef STARPU_HAVE_VALGRIND_H */
/* #undef STARPU_HAVE_WINDOWS */
/* #undef STARPU_HAVE_X11 */
/* #undef STARPU_HAVE_XBT_BASE_H */
/* #undef STARPU_HAVE_XBT_CONFIG_H */
/* #undef STARPU_HAVE_XBT_SYNCHRO_H */
#define STARPU_HISTORYMAXERROR 50
/* #undef STARPU_LINUX_SYS */
/* #undef STARPU_LONG_CHECK */
#define STARPU_MAJOR_VERSION 1
#define STARPU_MAXCPUS 4
#define STARPU_MAXCUDADEVS 4
#define STARPU_MAXHIPDEVS 8
#define STARPU_MAXIMPLEMENTATIONS 4
#define STARPU_MAXMAXFPGADEVS 12
#define STARPU_MAXMPIDEVS 0
#define STARPU_MAXNODES 16
#define STARPU_MAXNUMANODES 1
#define STARPU_MAXOPENCLDEVS 8
#define STARPU_MAXTCPIPDEVS 0
/* #undef STARPU_MEMORY_STATS */
#define STARPU_MINOR_VERSION 4
/* #undef STARPU_MKL */
/* #undef STARPU_MLR_MODEL */
/* #undef STARPU_MODEL_DEBUG */
/* #undef STARPU_MPI_EXTRA_VERBOSE */
/* #undef STARPU_MPI_PEDANTIC_ISEND */
/* #undef STARPU_MPI_VERBOSE */
/* #undef STARPU_NATIVE_WINTHREADS */
/* #undef STARPU_NEW_CHECK */
#define STARPU_NMAXBUFS 8
#define STARPU_NMAXDEVS 8
#define STARPU_NMAXWORKERS 32
#define STARPU_NMAX_COMBINEDWORKERS 4
#define STARPU_NMAX_SCHED_CTXS 10
#define STARPU_NON_BLOCKING_DRIVERS 1
/* #undef STARPU_NO_ASSERT */
/* #undef STARPU_OPENBLAS */
/* #undef STARPU_OPENBSD_SYS */
/* #undef STARPU_OPENCL_SIMULATOR */
/* #undef STARPU_OPENGL_RENDER */
/* #undef STARPU_OPENMP */
/* #undef STARPU_OPENMP_LLVM */
/* #undef STARPU_PAPI */
/* #undef STARPU_PARALLEL_WORKER */
/* #undef STARPU_PERF_DEBUG */
/* #undef STARPU_PERF_MODEL_DIR */
#define STARPU_PROF_TOOL 1
/* #undef STARPU_PTHREAD_COND_INITIALIZER_ZERO */
/* #undef STARPU_PTHREAD_MUTEX_INITIALIZER_ZERO */
/* #undef STARPU_PTHREAD_RWLOCK_INITIALIZER_ZERO */
/* #undef STARPU_PYTHON_HAVE_CLOUDPICKLE */
/* #undef STARPU_PYTHON_HAVE_JOBLIB */
/* #undef STARPU_PYTHON_HAVE_NUMPY */
/* #undef STARPU_QUICK_CHECK */
#define STARPU_RELEASE_VERSION 7
/* #undef STARPU_SC_HYPERVISOR_DEBUG */
/* #undef STARPU_SIMGRID */
/* #undef STARPU_SIMGRID_HAVE_SIMGRID_INIT */
/* #undef STARPU_SIMGRID_HAVE_XBT_BARRIER_INIT */
/* #undef STARPU_SIMGRID_MC */
/* #undef STARPU_SPINLOCK_CHECK */
#define STARPU_SRC_DIR "/opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_devel_starpu/starpu/work/starpu-1.4.7/."
/* #undef STARPU_STATIC_ONLY */
#define STARPU_SYSTEM_BLAS 1
#define STARPU_USE_ALLOCATION_CACHE 1
/* #undef STARPU_USE_AYUDAME1 */
/* #undef STARPU_USE_AYUDAME2 */
#define STARPU_USE_CPU 1
/* #undef STARPU_USE_CUDA */
/* #undef STARPU_USE_CUDA0 */
/* #undef STARPU_USE_CUDA1 */
/* #undef STARPU_USE_CUDA_MAP */
#define STARPU_USE_DRAND48 1
/* #undef STARPU_USE_ERAND48_R */
/* #undef STARPU_USE_FXT */
/* #undef STARPU_USE_HIP */
/* #undef STARPU_USE_HIPBLAS */
/* #undef STARPU_USE_MAX_FPGA */
/* #undef STARPU_USE_MP */
/* #undef STARPU_USE_MPI */
/* #undef STARPU_USE_MPI_FT */
/* #undef STARPU_USE_MPI_FT_STATS */
/* #undef STARPU_USE_MPI_MASTER_SLAVE */
/* #undef STARPU_USE_MPI_MPI */
/* #undef STARPU_USE_MPI_NMAD */
#define STARPU_USE_OPENCL 1
/* #undef STARPU_USE_SC_HYPERVISOR */
/* #undef STARPU_USE_TCPIP_MASTER_SLAVE */
/* #undef STARPU_VALGRIND_FULL */
/* #undef STARPU_VERBOSE */
/* #undef STARPU_WORKER_CALLBACKS */
